#!/usr/bin/env python
# -*- coding: utf-8 -*-

from setuptools import setup

with open('README.rst') as readme_file:
    readme = readme_file.read()

with open('HISTORY.rst') as history_file:
    history = history_file.read()

requirements = [
    'aiohttp>=2.3.0',
    'docutils>=0.13.1',
    'sockjs>=0.6.0',
]

test_requirements = [
    # TODO: put package test requirements here
]

setup(
    name='mutaprops',
    version='0.6.6',
    description="Simple UI, autogenerated from your classes.",
    long_description=readme + '\n\n' + history,
    author="Josef Nevrly",
    author_email='jnevrly@alps.cz',
    url='https://github.com/calcite/mutaprops',
    packages=[
        'mutaprops',
    ],
    package_dir={'mutaprops':
                 'mutaprops'},
    include_package_data=True,
    install_requires=requirements,
    license="MIT license",
    zip_safe=False,
    keywords=['mutaprops', 'GUI', 'HTML5', 'autogenerated'],
    classifiers=[
        'Development Status :: 4 - Beta',
        'Intended Audience :: Developers',
        # 'License :: OSI Approved :: MIT License',
        'Natural Language :: English',
        'Programming Language :: Python :: 3.4',
        'Programming Language :: Python :: 3.5',
        'Programming Language :: Python :: 3.6',
    ],
    test_suite='tests',
    tests_require=test_requirements
)
